### Function

# Pango AttrFilterFunc

since: 1.0

#### Declaration

    gboolean
    (* PangoAttrFilterFunc) (
      PangoAttribute* attribute,
      gpointer user_data
    )

#### Description [src]

Type of a function filtering a list of attributes.

Available since: 1.0

#### Parameters

`attribute`

  Type: `PangoAttribute`

  A Pango attribute.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the attribute should be selected for filtering, `FALSE` otherwise.